# Introduction

The AutoLeap Partner API allows trusted partners to integrate seamlessly with AutoLeap.
It uses secure token-based authentication and returns data in JSON format.

Use our API to access **customers**, **vehicles**, **repair orders**, **payments**, and more — and build powerful integrations that serve thousands of repair shops.

## Quick Start

Get up and running with the Partner API in just a few steps.

### 1. Get Access

Request API credentials (**Partner ID** & **Auth Key**) from your AutoLeap contact.
You’ll receive:

- Partner ID
- Auth Key


### 2. Authenticate

Use your credentials to get an **accessToken**.


```bash
curl -X POST "https://partnerapi.myautoleap.com/v2/partners/login" \
  -H "Content-Type: application/json" \
  -d '{
    "partnerId": "YOUR_PARTNER_ID",
    "authKey": "YOUR_AUTH_KEY"
  }'
```

**Response Example**


```bash
  {
  "success": true,
  "data": {
    "accessToken": "abc123xyz456",
    "refreshToken": "rT0k3n4950506"
  }
}
```

### 3. Make Your First Request

Now that you have an **access token**, you can start interacting with AutoLeap resources.

All API requests must include your token in the `Authorization` header.
Below, you can see how to send a GET request to the Profile endpoint to get information about your partner profile:


```bash
curl -X GET "https://partnerapi.myautoleap.com/v2/profile" \
  -H "Authorization: Bearer abc123xyz456"
```

You’re live!

From here, explore other endpoints for Vehicles, Repair orders, Payments, etc. and more in the reference below.